.trip-detail-container {
    width: 100%;
    max-width: 1290px;
    margin: 0 auto;
}

.trip-detail-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
}

.trip-detail-row .col-left {
    max-width: 814px;
    flex-grow: 1;
    padding: 20px 40px;
    border: 1px solid #D2D2D2;
    box-shadow: 0px 0px 10px 0px #00000014;
    border-radius: 12px;
}

.trip-detail-row .col-right {
    flex-basis: 406px;
    flex-shrink: 0;
}

.trip-top-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.trip-top-content .trip-title {
    font-family: Outfit;
    font-weight: 600;
    font-size: 40px;
    line-height: 100%;
    color: #0B3368;
    max-width: 380px;
}

.trip-top-content .trip-date {
    font-family: Outfit;
    font-weight: 400;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 2%;

    color: #2474E5;
}

.trip-main-content {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-top: 30px;
}

/* .trip-main-content .trip-location{
    display: flex;
    flex-direction: column;
} */

.trip-main-content .trip-location-heading {
    display: flex;
    gap: 16px;
    justify-content: space-between;
    align-items: center;
}

.trip-main-content .trip-location-title {
    font-family: Outfit;
    font-weight: 600;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 2%;
    color: var(--primary, #0B3368);
}

.trip-main-content .see-map-text {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 130%;
    letter-spacing: 2%;
    text-decoration: underline;
    text-decoration-style: solid;
    text-decoration-offset: 0%;
    text-decoration-thickness: 0%;
    color: #2474E5;
}

.trip-map-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    margin-top: 10px;
}

.trip-map-wrapper .trip-desc {

    flex-basis: 50%;
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 130%;
    letter-spacing: 2%;

    color: var(--text, #102036);
}

.trip-map-wrapper .trip-map-box {
    border-radius: 12px;
    overflow: hidden;
    max-width: 315px;
    max-height: 154px;
}

.trip-main-content .trip-ve-heading {
    display: flex;
    gap: 16px;
    justify-content: space-between;
    align-items: center;
}

.trip-main-content .trip-ve-title {
    font-family: Outfit;
    font-weight: 600;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 2%;
    color: var(--primary, #0B3368);
}


.trip-ve-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    margin-top: 10px;
}

.trip-ve-wrapper .ve-desc {
    flex-basis: 50%;
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 130%;
    letter-spacing: 2%;

    color: var(--text, #102036);
}

.trip-ve-wrapper .ve-image-box {
    max-width: 240px;
    max-height: 160px;
    overflow: hidden;
}

.trip-ve-wrapper .ve-image-box img {
    width: 100%;
    height: auto;
    max-height: 100%;
    aspect-ratio: 240 / 160;
    object-fit: cover;
}

.trip-info-box {
    display: flex;
    flex-direction: column;
    padding: 24px;
    gap: 16px;
    background: var(--primary, #0B3368);
    border: 1px solid #D2D2D2;
    box-shadow: 0px 0px 10px 0px #00000014;
    border-radius: 12px;
}

.trip-info-box .route-info-top {
    display: flex;
    gap: 8px;
    justify-content: space-between;
}

.trip-info-box .route-info {
    padding: 6px 32px 6px 18px;
    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    color: #FFFFFF;
    border-radius: 10px;
    background-image: url(../../images/route-badge-bg.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: max-content;
    min-width: 180px;
    display: inline-flex;
    align-items: center;
}

.trip-info-box .route-info-top img {
    max-width: 95px;
}

.schedule-info-single .location-list {
    position: relative;
}

.schedule-info-single .location-list:before {
    content: "";
    height: 38px;
    display: block;
    position: absolute;
    width: 0px;
    border: 1px dashed #D2D2D2;
    left: 6px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.schedule-info-single .location-item {
    position: relative;
    z-index: 2;
}

.schedule-info-single .icon {
    color: #FFFFFF;
    font-size: 14px;
}

.schedule-info-single .path2:before {
    color: #0B3368;
}

.schedule-info-single .time-wrap {
    display: flex;
    gap: 0;
    align-items: center;
}

.schedule-info-single .time-start,
.schedule-info-single .time-end {
    font-family: Outfit;
    font-weight: 700;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    margin-left: 10px;
}

.schedule-info-single .point-start,
.schedule-info-single .point-end {
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    max-width: 150px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.schedule-info-single .date-start,
.schedule-info-single .date-end {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    margin-left: auto;
}

.schedule-info-single .duration-text {

    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    margin: 10px 24px;

}

.schedule-info-single .date-wrap {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    margin-left: 24px;
}

.trip-price-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    padding: 24px;
    color: #FFFFFF;
    border-radius: 12px;
    border: 1px solid #D2D2D2;
    box-shadow: 0px 0px 10px 0px #00000014;
    margin-top: 20px;
}

.trip-price-box .price-label {
    font-family: Outfit;
    font-weight: 700;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0;
    color: #0B3368;
}

.trip-price-box .price-value {
    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FF3131;
}

.single-reverse-btn {
    display: flex;
    font-family: Outfit;
    font-weight: 700;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF !important;
    background: #FF3131;

    width: max-content;
    margin: 20px auto 0;
    padding: 8px 85px;
    clip-path: polygon(25% 0%, 100% 0%, 75% 100%, 0% 100%);
}

.trip-services {
    margin-top: 40px;
}

.trip-services .trip-service-heading {
    font-family: Outfit;
    font-weight: 600;
    font-size: 40px;
    line-height: 100%;
    letter-spacing: 0.02;
    color: #0B3368;
    margin: 0;
}

.trip-services .trip-service-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 30px;
    padding: 20px 40px;
    margin-top: 20px;

    border-radius: 12px;
    border: 1px solid #D2D2D2;
    box-shadow: 0px 0px 10px 0px #00000014;
}

.trip-services .trip-service-item {
    max-width: 212px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.trip-services .trip-service-icon {
    max-width: 80px;
    height: auto;
    aspect-ratio: 1;
}

.trip-services .trip-service-title {
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 21px;
    letter-spacing: 0;
    text-align: center;
    margin-top: auto;
}